<?php
// Define a callback function to do the work
function Sum(GearmanJob $job)
{
	// Retrieve the workload
	$workload = $job->workload();
	// Workload: [0,1,1,2,3,5,8,13,21,34,55,89]

	// Decode it
	$values = json_decode($workload);

	// Add the numbers together
	echo array_sum($values);

	// Send back a complete status
	$job->sendComplete("All Done!");

	exit;
}

// Create a GearmanWorker instance
$worker = new GearmanWorker();

// Connect to the gearman job server
$worker->addServer();

// Register the callback function for the job
$worker->addFunction('Sum', 'Sum');

// Wait for jobs to come in, and process them
while ($worker->work());
?>