<?php
// Define a callback function to do the work
function createThumbnails(GearmanJob $job)
{
	// Retrieve the workload
	$workload = $job->workload();
	
	// Decode it
	$images = json_decode($workload);
	
	// Psuedo-code
	foreach ($images as $path) {
		$image = new Image($path);
		$image->createThumbnail();
	}
	
	// Send back a complete status
	$job->sendComplete("All Done!");
	
	exit;
}

// Create a GearmanWorker instance
$worker = new GearmanWorker();

// Connect to the gearman job server
$worker->addServer();

// Register the callback function for the job
$worker->addFunction('createThumbnails', 'createThumbnails');

// Wait for jobs to come in, and process them
while ($worker->work());
?>